HibernatePersistence (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class HibernatePersistence

    java.lang.Object
      org.hibernate.ejb.AvailableSettings
          org.hibernate.ejb.HibernatePersistence

All Implemented Interfaces:
  PersistenceProvider

    public class HibernatePersistence

extends AvailableSettings
implements PersistenceProvider

Hibernate EJB3 persistence provider implementation

Field Summary

Fields inherited from class org.hibernate.ejb.AvailableSettings
`ALIAS_SPECIFIC_LOCK_MODE, AUTODETECTION, CFG_FILE, CLASS_CACHE_PREFIX, CLASS_NAMES, COLLECTION_CACHE_PREFIX, CONFIGURATION_JNDI_NAME, DISCARD_PC_ON_CLOSE, ENTITY_MANAGER_FACTORY_NAME, EVENT_LISTENER_PREFIX, FLUSH_MODE, HBXML_FILES, IDENTIFIER_GENERATOR_STRATEGY_PROVIDER, INTERCEPTOR, JACC_CONTEXT_ID, JACC_ENABLED, JACC_PREFIX, JDBC_DRIVER, JDBC_PASSWORD, JDBC_URL, JDBC_USER, JPA_METAMODEL_GENERATION, JPA_METAMODEL_POPULATION, JTA_DATASOURCE, LOADED_CLASSES, LOCK_SCOPE, LOCK_TIMEOUT, NAMING_STRATEGY, NON_JTA_DATASOURCE, PACKAGE_NAMES, PERSIST_VALIDATION_GROUP, PERSISTENCE_UNIT_NAME, PROVIDER, REMOVE_VALIDATION_GROUP, SCANNER, SESSION_FACTORY_OBSERVER, SESSION_INTERCEPTOR, SHARED_CACHE_MODE, SHARED_CACHE_RETRIEVE_MODE, SHARED_CACHE_STORE_MODE, TRANSACTION_TYPE, UPDATE_VALIDATION_GROUP, USE_CLASS_ENHANCER, VALIDATION_FACTORY, VALIDATION_MODE, XML_FILE_NAMES`

Constructor Summary
`HibernatePersistence()`

Method Summary
`EntityManagerFactory` | `createContainerEntityManagerFactory(PersistenceUnitInfo info, Map properties)` Create an entity manager factory from the given persistence unit info, using the specified properties (they override any on the PUI).
`EntityManagerFactory` | `createEntityManagerFactory(Map properties)` Deprecated.
`EntityManagerFactory` | `createEntityManagerFactory(String persistenceUnitName, Map properties)` Get an entity manager factory by its entity manager name, using the specified properties (they override any found in the peristence.xml file).
`ProviderUtil` | `getProviderUtil()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernatePersistence

    public HibernatePersistence()

Method Detail

### createEntityManagerFactory

    public EntityManagerFactory createEntityManagerFactory(String persistenceUnitName,
                                                           Map properties)

  Get an entity manager factory by its entity manager name, using the specified properties (they override any found in the peristence.xml file).

  This is the form used in JSE environments.

  Specified by:
    `createEntityManagerFactory` in interface `PersistenceProvider`
  Parameters:
    `persistenceUnitName` - entity manager name
    `properties` - The explicit property values
  Returns:
    initialized EntityManagerFactory

### createContainerEntityManagerFactory

    public EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo info,
                                                                    Map properties)

  Create an entity manager factory from the given persistence unit info, using the specified properties (they override any on the PUI).

  This is the form used by the container in a JEE environment.

  Specified by:
    `createContainerEntityManagerFactory` in interface `PersistenceProvider`
  Parameters:
    `info` - The persistence unit information
    `properties` - The explicit property values
  Returns:
    initialized EntityManagerFactory

### createEntityManagerFactory

    @Deprecated
    public EntityManagerFactory createEntityManagerFactory(Map properties)

  Deprecated.

  create a factory from a canonical version

### getProviderUtil

    public ProviderUtil getProviderUtil()

  Specified by:
    `getProviderUtil` in interface `PersistenceProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.